#if !defined(DEMOMAINFRAME)
#define DEMOMAINFRAME

#include <afxwin.h>
#include "GraphicsObject.h"

class DemoMainFrame :
public CFrameWnd
{
	private:
	// Liste der Grafikobjekte
	CObList* myGraphicsList;
	BOOL isViewFilled;
	GraphicsObject* recentObject;

	public:
	DemoMainFrame();
	~DemoMainFrame();

	afx_msg void OnPaint();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint p);
	afx_msg void doOpen();
	afx_msg void doSave();
	afx_msg void doQuit();
	afx_msg void doRect();
	afx_msg void doOval(UINT nID);
	afx_msg void doFill();
	afx_msg void doOutline();
	afx_msg void doUpdateFillOutline(CCmdUI *pCmdUI);
	afx_msg void doUpdateContext(CCmdUI *pCmdUI);
	afx_msg void doContext(UINT nID);

	DECLARE_MESSAGE_MAP();
};

#endif