#if !defined(GRAPHICSOBJECT)
#define GRAPHICSOBJECT

#include <afxwin.h>

class GraphicsObject :
public CObject // fr Serialize und fr CObList
{
	DECLARE_SERIAL(GraphicsObject);

	public:
	GraphicsObject(int t, int x, int y);
	// parameterloser Konstruktor zum Laden ntig:
	GraphicsObject();

	void draw(CDC *dc, BOOL isViewFilled);
	// So legt man in C++ Kennungen an:
	enum Type {RECT = 1, VELLIPSE, HELLIPSE, CIRCLE};
	BOOL isInside(CPoint p);
	int getType();
	void setType(int t);

	void Serialize(CArchive& ar);

	private:
	int x0;
	int y0;
	int type;
};

#endif